summaryrefslogtreecommitdiff
path: root/debian/rapid-tunneling-server.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/rapid-tunneling-server.postinst')
-rw-r--r--debian/rapid-tunneling-server.postinst45
1 files changed, 45 insertions, 0 deletions
diff --git a/debian/rapid-tunneling-server.postinst b/debian/rapid-tunneling-server.postinst
new file mode 100644
index 0000000..a5a3541
--- /dev/null
+++ b/debian/rapid-tunneling-server.postinst
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postinst script for rapid-tunneling-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ useradd -d /var/lib/rapid-tunneling-server -m support 2>/dev/null || :
+ LINE='export PATH=$PATH:/usr/sbin'
+ PROFILE=/var/lib/rapid-tunneling-server/.bash_profile
+ if ! fgrep -q "$LINE" $PROFILE; then echo "$LINE" >> $PROFILE; fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+